Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Secrets

Encrypted values for agent sandboxes — names and metadata only; values are never returned.

List secret names and metadata (values are never returned)

GET/secrets
Scope secrets:viewRead-only

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/secrets" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a secret for agent sandboxes

POST/secrets
Scope secrets:manageWrites data

Request body

FieldType
namerequiredstring
valuerequiredstring
descriptionstring
accessobject
access.mode"all" | "selected"
access.agentsarray of string

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/secrets" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"name":"…","value":"…","description":"…","access":{"mode":"all","agents":["…"]}}'

Rotate a secret’s value or change its description / agent access

PATCH/secrets/{id}
Scope secrets:manageWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
valuestring
descriptionstring
accessobject
access.mode"all" | "selected"
access.agentsarray of string

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/secrets/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"value":"…","description":"…","access":{"mode":"all","agents":["…"]}}'

Delete a secret

DELETE/secrets/{id}
Scope secrets:manageWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/secrets/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"